# SRE RED Metrics

[![PyPI](https://img.shields.io/pypi/v/red-metrics)](https://pypi.org/project/red-metrics/)

Minimalist SRE metrics for Python web frameworks.

## Features

- Default metrics on port 9090
- Tracks individual status codes + optional grouping
- FastAPI and Flask support
- <5ms overhead

## FastAPI Installation

```bash
pip install sre-metrics[fastapi]

```

### FastAPI Usage

```python
from fastapi import FastAPI
from sre-metrics import instrument_fastapi

app = FastAPI()
instrument_fastapi(app)  # Metrics on :9090 by default

# Custom port
instrument_fastapi(app, metrics_port=9091, excluded_paths=["/healthz"])

```


### Flask Installation

```bash
pip install sre-metrics[flask]
```

```python
from flask import Flask
from sre-metrics import instrument_flask

app = Flask(__name__)
instrument_flask(app)  # Metrics on :9090

# Custom options:
instrument_flask(app, metrics_port=9091, excluded_paths=["/healthz"])

```

